Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/functions/summary/Summary.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/functions/summary/Summary.java	(revision 527)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/functions/summary/Summary.java	(revision 528)
@@ -260,12 +260,12 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return corpus != null;
 	}
 
 	@Override
-	public boolean _compute() throws Exception {
+	protected boolean _compute(boolean update) throws Exception {
 		System.out.println("Summary.compute() not implemented");
 		return false;
 	}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/functions/preview/Preview.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/functions/preview/Preview.java	(revision 527)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/functions/preview/Preview.java	(revision 528)
@@ -4,10 +4,8 @@
 import java.util.Collection;
 import java.util.List;
 
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
-
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -89,12 +87,12 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return corpus != null;
 	}
 
 	@Override
-	public boolean _compute() throws Exception {
+	protected boolean _compute(boolean update) throws Exception {
 		if (partition != null) {
 			return computePartition();
 		} else {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/functions/diagnostic/Diagnostic.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/functions/diagnostic/Diagnostic.java	(revision 527)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/functions/diagnostic/Diagnostic.java	(revision 528)
@@ -45,7 +45,6 @@
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.objects.Base;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -615,7 +614,7 @@
 	}
 
 	@Override
-	public boolean _compute() throws Exception {
+	protected boolean _compute(boolean update) throws Exception {
 		if (monitor != null) monitor.beginTask("Computing informations...", 3);
 		stepGeneralInfos();
 		if (monitor != null) monitor.worked(1);
@@ -628,7 +627,7 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return corpus != null;
 	}
 }
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 527)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 528)
@@ -40,6 +40,7 @@
 
 import org.txm.Toolbox;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.___CorpusScope;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.objects.Base;
 import org.txm.objects.BaseParameters;
@@ -80,6 +81,7 @@
 		super(cqpId);
 		this.motherMainCorpus = this;
 		this.name = cqpId;
+		
 	}
 
 	/**
@@ -336,10 +338,32 @@
 	@Override
 	public boolean load() {
 		boolean ret = super.load();
+		
+		// FIXME: test to create a project scope
+//		CorpusScope scope = new CorpusScope(this.getName(), this.getBaseDirectory());
+//		CorpusScope.addScope(scope);
+		
 		return ret;
 	}
 
+
 	/* (non-Javadoc)
+	 * @see org.txm.objects.TxmObject#delete()
+	 */
+	@Override
+	public boolean delete() {
+		removeFromCWB();
+		Base b = this.getBase();
+		if (b != null) b.delete();
+		
+		// FIXME: test to remove the project scope
+//		CorpusScope.removeScope(this.getName());
+
+		
+		return super.delete();
+	}
+	
+	/* (non-Javadoc)
 	 * @see org.txm.objects.TxmObject#getParent()
 	 */
 	@Override
@@ -356,16 +380,6 @@
 		this.parent = base;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.txm.objects.TxmObject#delete()
-	 */
-	@Override
-	public boolean delete() {
-		removeFromCWB();
-		Base b = this.getBase();
-		if (b != null) b.delete();
-		return super.delete();
-	}
 
 	/**
 	 * Removes the from cwb.
@@ -566,12 +580,12 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return true;
 	}
 
 	@Override
-	public boolean _compute() throws Exception {
+	protected boolean _compute(boolean update) throws Exception {
 		// TODO Auto-generated method stub
 		return false;
 	}
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 527)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 528)
@@ -152,7 +152,7 @@
 			else 
 				CorporaView.refresh();
 
-			ca.compute();
+			ca.compute(false);
 			return open(ca);
 
 		} catch (Throwable e) {
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 527)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 528)
@@ -202,7 +202,7 @@
 			// Set the parent multi pages editor of the CA factorial map editor to activate it from the child editor
 			caFactorialMapEditorPart.setParentMultiPagesEditor(this);
 
-			caFactorialMapEditorPart.createChart();
+			caFactorialMapEditorPart.createChartContainer();
 			caFactorialMapEditorPart.createPartControl(AFCgraph); // must be called AFTER createChart() because the initItemListener checks if getChart() is null
 			caFactorialMapEditorPart.loadChart();
 			caFactorialMapEditorPart.refresh();
@@ -324,8 +324,9 @@
 	 */
 	public void initCASingularValuesBarChartEditor()	{
 
+		// FIXME: need to create ChartResult for CASingularValues + some ChartCreators 
 		// Editor part
-		EditorPart caSingularValuesEditorPart = SWTChartsComponentsProvider.getCurrent().createChartEditor(ca, "Singular Values"); //$NON-NLS-1$
+		EditorPart caSingularValuesEditorPart = new ChartEditorPart(SWTChartsComponentsProvider.getCurrent().createChartEditorInput(ca, "Singular Values")); //$NON-NLS-1$ 
 		editors.add(caSingularValuesEditorPart);
 
 		// Editor input
@@ -676,7 +677,7 @@
 	public void computeResult() {
 		if (ca != null) {
 			try {
-				if (ca.validateParameters() && ca.isDirty())
+				if (ca.canCompute() && ca.isDirty())
 					ca.stepCompute();
 			} catch (StatException e) {
 				System.out.println("Error: could not compute CA: "+e.getLocalizedMessage());
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 527)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 528)
@@ -60,7 +60,7 @@
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
 import org.txm.ca.core.functions.CA;
-import org.txm.cah.core.functions.CAH;
+import org.txm.cah.core.functions.AHC;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.cooccurrence.core.functions.Cooccurrence;
 import org.txm.core.results.TXMResult;
@@ -372,7 +372,7 @@
 				return IImageKeys.getImage(IImageKeys.LEXICALTABLE);
 			else if (element instanceof CA)
 				return IImageKeys.getImage(IImageKeys.ACTION_CORRESPONDANCE_ANALYSIS);
-			else if (element instanceof CAH)
+			else if (element instanceof AHC)
 				return IImageKeys.getImage(IImageKeys.ACTION_CAH);
 			else if (element instanceof Referencer)
 				return IImageKeys.getImage(IImageKeys.ACTION_REFERENCER);
Index: tmp/org.txm.referencer.core/src/org/txm/functions/referencer/Referencer.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/functions/referencer/Referencer.java	(revision 527)
+++ tmp/org.txm.referencer.core/src/org/txm/functions/referencer/Referencer.java	(revision 528)
@@ -56,7 +56,6 @@
 import java.util.List;
 import java.util.Map;
 
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
@@ -202,7 +201,7 @@
 	 *
 	 * @return true, if successful
 	 */
-	public boolean _compute()
+	protected boolean _compute(boolean update)
 	{
 		try {
 			if (this.parent == null || pQuery == null || pPattern == null || pProperty == null)
@@ -530,7 +529,7 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return getCorpus() != null;
 	}
 
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitesResult.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitesResult.java	(revision 527)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitesResult.java	(revision 528)
@@ -39,9 +39,8 @@
 
 import org.rosuda.REngine.REXPMismatchException;
 import org.rosuda.REngine.Rserve.RserveException;
-import org.eclipse.core.runtime.IProgressMonitor;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.TXMParameters;
-import org.txm.core.results.TXMResult;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.core.functions.LexicalTableFactory;
 import org.txm.lexicon.core.corpusengine.cqp.Lexicon;
@@ -60,12 +59,13 @@
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 
 /**
- * Hold specificites computation result.
+ * Hold specificities computation result.
  * 
- * @author sloiseau, mdecorde
+ * @author mdecorde
+ * @author sloiseau
  * 
  */
-public class SpecificitesResult extends TXMResult  {
+public class SpecificitesResult extends ChartResult  {
 
 	public static int MAXSPECIF = 1000;
 
@@ -131,7 +131,7 @@
 	protected double[][] selectedSpecificitiesIndex;
 	
 	
-	public boolean _compute() {
+	protected boolean _compute(boolean update) {
 		//TODO: not implemented yet. The specificitesResults should work with a LexicalTable only? if yes, then the calling commands must build it
 		return false;
 	}
@@ -757,7 +757,7 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return table != null;
 	}
 
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java	(revision 527)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java	(revision 528)
@@ -23,14 +23,7 @@
  */
 public class RSpecificitiesBarChartCreator extends RChartCreator {
 
-	public RSpecificitiesBarChartCreator() {
-	}
 
-	@Override
-	public Object createChart(TXMResult result) {
-		return null;
-	}
-
 	
 	@Override
 	public File createChartFile(TXMResult result, File file) {
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Specificites2.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Specificites2.java	(revision 527)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Specificites2.java	(revision 528)
@@ -1,14 +1,8 @@
 package org.txm.functions.contrasts;
 
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.core.results.TXMParameters;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
-import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
-import org.txm.searchengine.cqp.corpus.Corpus;
-import org.txm.searchengine.cqp.corpus.Partition;
-import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.specificities.core.statsengine.r.function.SpecificitiesImpl;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.r.core.RWorkspace;
@@ -21,7 +15,7 @@
 		super(table);
 	}
 
-	public boolean _compute() throws StatException {
+	protected boolean _compute(boolean update) throws StatException {
 		itable = table.getData();
 		colNames = itable.getColNames().asStringsArray();
 		rowNames = itable.getRowNames().asStringsArray();
@@ -56,17 +50,11 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return itable != null;
 	}
 
 	@Override
-	public boolean compute(IProgressMonitor watcher) throws Exception {
-		System.out.println("Specificites2.compute() not implemented");
-		return false;
-	}
-
-	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		return false;
 	}
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 527)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 528)
@@ -9,7 +9,6 @@
 
 import org.txm.chartsengine.r.core.themes.DefaultTheme;
 import org.txm.core.results.TXMResult;
-
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.core.functions.LexicalTableFactory;
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
@@ -60,7 +59,7 @@
 //		symbol = "Contrast_"+this.getClass().getSimpleName()+"_"+(no_contrast++);
 //	}
 
-	public abstract boolean _compute() throws Exception;
+	protected abstract boolean _compute(boolean update) throws Exception;
 
 	public abstract String getName();
 	
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/RelativeFrequency.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/RelativeFrequency.java	(revision 527)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/RelativeFrequency.java	(revision 528)
@@ -23,7 +23,7 @@
 	}
 
 	@Override
-	public boolean _compute() throws Exception {
+	protected boolean _compute(boolean update) throws Exception {
 		itable = table.getData();
 		colNames = itable.getColNames().asStringsArray();
 		rowNames = itable.getRowNames().asStringsArray();
@@ -59,17 +59,11 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return itable != null;
 	}
 
 	@Override
-	public boolean compute(IProgressMonitor watcher) throws Exception {
-		System.out.println("RelativeFrequency.compute() not implemented");
-		return false;
-	}
-
-	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		return false;
 	}
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/AbsoluteFrequency.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/AbsoluteFrequency.java	(revision 527)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/AbsoluteFrequency.java	(revision 528)
@@ -21,7 +21,7 @@
 	}
 
 	@Override
-	public boolean _compute() throws StatException {
+	protected boolean _compute(boolean update) throws StatException {
 		itable = table.getData();
 		colNames = itable.getColNames().asStringsArray();
 		rowNames = itable.getRowNames().asStringsArray();
@@ -54,13 +54,8 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return itable != null;
 	}
 
-	@Override
-	public boolean compute(IProgressMonitor watcher) throws Exception {
-		System.out.println("AbsoluteFrequency.compute() not implemented");
-		return false;
-	}
 }
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrasts.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrasts.java	(revision 527)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrasts.java	(revision 528)
@@ -39,7 +39,7 @@
 	public boolean compute() throws Exception {
 		for (Contrast m : mesures) {
 			System.out.println(TXMCoreMessages.Contrasts_0+m.getName());
-			m.compute();
+			m.compute(false);
 		}
 		return true;
 	}
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Chi2.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Chi2.java	(revision 527)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Chi2.java	(revision 528)
@@ -1,14 +1,8 @@
 package org.txm.functions.contrasts;
 
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.core.results.TXMParameters;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
-import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
-import org.txm.searchengine.cqp.corpus.Corpus;
-import org.txm.searchengine.cqp.corpus.Partition;
-import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.r.core.RWorkspace;
 
@@ -26,7 +20,7 @@
 	}
 	
 	@Override
-	public boolean _compute() throws StatException {
+	protected boolean _compute(boolean update) throws StatException {
 		itable = table.getData();
 		colNames = itable.getColNames().asStringsArray();
 		rowNames = itable.getRowNames().asStringsArray();
@@ -64,13 +58,8 @@
 	}
 
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return itable != null;
 	}
 
-	@Override
-	public boolean compute(IProgressMonitor watcher) throws Exception {
-		System.out.println("Chi2.compute() not implemented");
-		return false;
-	}
 }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy	(revision 527)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy	(revision 528)
@@ -42,7 +42,7 @@
 import org.txm.lexicaltable.core.functions.LexicalTable
 import org.txm.objects.Base;
 import org.txm.ca.core.functions.CA
-import org.txm.cah.core.functions.CAH
+import org.txm.cah.core.functions.AHC
 import org.txm.concordance.core.functions.Concordance
 import org.txm.cooccurrence.core.functions.Cooccurrence
 import org.txm.functions.*;
@@ -311,7 +311,7 @@
 	// CAH
 	print " CAH"
 	time = System.currentTimeMillis();
-	CAH cah = new CAH(ca, true, CAH.getDefaultMethod(), CAH.getDefaultMetric(), 4, false)
+	AHC cah = new AHC(ca, true, AHC.getDefaultMethod(), AHC.getDefaultMetric(), 4, false)
 	cah.stepCompute()
 	cah.toSVG(new File(exporttestdir, "dates_cah"),RDevice.SVG);
 	if (firstExecution == 0)
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/export/ExportCAH.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/export/ExportCAH.groovy	(revision 527)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/export/ExportCAH.groovy	(revision 528)
@@ -1,6 +1,6 @@
 package org.txm.export
 
-import org.txm.cah.core.functions.CAH
+import org.txm.cah.core.functions.AHC
 import org.txm.rcp.views.*
 import org.txm.stat.engine.r.*
 // uncomment this
@@ -25,10 +25,10 @@
 	});
 println("Selected object: "+obj)
 
-if (obj != null && obj instanceof CAH) {
+if (obj != null && obj instanceof AHC) {
 	def rw = RWorkspace.getRWorkspaceInstance()
 	rw.eval("sink(file=\"" + outfile.getAbsolutePath().replace("\\", "\\\\")+"\")")
-	rw.eval("print("+((CAH)obj).getSymbol()+")")
+	rw.eval("print("+((AHC)obj).getSymbol()+")")
 	rw.eval("sink()")
 	println("CAH saved in file: "+outfile)
 }
\ No newline at end of file
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 527)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 528)
@@ -7,7 +7,6 @@
 import java.util.HashMap;
 import java.util.List;
 
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
 import org.txm.index.core.functions.Index;
@@ -61,7 +60,7 @@
 	}
 	
 	@Override
-	public boolean _compute() throws Exception {
+	protected boolean _compute(boolean update) throws Exception {
 		System.out.println("LexicalTable.compute() not implemented");
 		return false;
 	}
@@ -311,7 +310,7 @@
 	}
 	
 	@Override
-	public boolean validateParameters() {
+	public boolean canCompute() {
 		return corpus != null || partition != null; // can be computed on partition or corpus
 	}
 
Index: tmp/org.txm.cah.core/src/org/txm/cah/core/messages/AHCCoreMessages.java
===================================================================
--- tmp/org.txm.cah.core/src/org/txm/cah/core/messages/AHCCoreMessages.java	(revision 0)
+++ tmp/org.txm.cah.core/src/org/txm/cah/core/messages/AHCCoreMessages.java	(revision 528)
@@ -0,0 +1,25 @@
+package org.txm.cah.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+public class AHCCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.cah.core.messages.messages"; //$NON-NLS-1$
+
+	
+	public static String RESULT_TYPE;
+	
+	public static String ERROR_EXPORT_TXT;
+	public static String LOG_COMPUTE_CAH;
+	
+	
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, AHCCoreMessages.class);
+	}
+
+	private AHCCoreMessages() {
+	}
+}

